Package: groovy.grape

## [Java] Interface GrapeEngine

-     public interface GrapeEngine

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addResolver(Map<String, Object> args)`
    `` | `public Map<String, Map<String, List<String>>>` | `enumerateGrapes()`
    `` | `public Object` | `grab(String endorsedModule)`
    `` | `public Object` | `grab(Map args)`
    `` | `public Object` | `grab(Map args, Map dependencies)`
    `` | `public Map[]` | `listDependencies(ClassLoader classLoader)`
    `` | `public URI[]` | `resolve(Map args, Map dependencies)`
    `` | `public URI[]` | `resolve(Map args, List depsInfo, Map dependencies)`

- - ### Method Detail

    - #### public void addResolver(Map<String, Object> args)

    - #### public Map<String, Map<String, List<String>>> enumerateGrapes()

    - #### public Object grab(String endorsedModule)

    - #### public Object grab(Map args)

    - #### public Object grab(Map args, Map dependencies)

    - #### public Map[] listDependencies(ClassLoader classLoader)

    - #### public URI[] resolve(Map args, Map dependencies)

    - #### public URI[] resolve(Map args, List depsInfo, Map dependencies)